import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# teams report deviceusagedistributionusercounts

Get the number of Microsoft Teams unique users by device type. 

## Usage

```sh
m365 teams report deviceusagedistributionusercounts [options]
```

## Options

```md definition-list
`-p, --period <period>`
: The length of time over which the report is aggregated. Supported values `D7`, `D30`, `D90`, `D180`.
```

<Global />

## Remarks

:::info

This command supports only csv and json output.

:::

## Examples

Gets the number of Microsoft Teams unique users by device type for the last week.

```sh
m365 teams report deviceusagedistributionusercounts --period D7
```

Gets the number of Microsoft Teams unique users by device type for the last week and exports the report data in the specified path in text format.

```sh
m365 teams report deviceusagedistributionusercounts --period D7 --output text > "deviceusagedistributionusercounts.txt"
```

Gets the number of Microsoft Teams unique users by device type for the last week and exports the report data in the specified path in json format.

```sh
m365 teams report deviceusagedistributionusercounts --period D7 --output json > "deviceusagedistributionusercounts.json"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ``` json
  [
    {
      "Report Refresh Date": "2022-10-24",
      "Web": "0",
      "Windows Phone": "0",
      "Android Phone": "0",
      "iOS": "0",
      "Mac": "0",
      "Windows": "1",
      "Chrome OS": "0",
      "Linux": "0",
      "Report Period": "7"
    }
  ]
  ```

  </TabItem>
  <TabItem value="Text">

  ``` text
  Report Refresh Date,Web,Windows Phone,Android Phone,iOS,Mac,Windows,Chrome OS,Linux,Report Period
  2022-10-24,0,0,0,0,0,1,0,0,7
  ```

  </TabItem>
  <TabItem value="CSV">

  ``` text
  Report Refresh Date,Web,Windows Phone,Android Phone,iOS,Mac,Windows,Chrome OS,Linux,Report Period
  2022-10-24,0,0,0,0,0,1,0,0,7
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  Report Refresh Date,Web,Windows Phone,Android Phone,iOS,Mac,Windows,Chrome OS,Linux,Report Period
  2022-10-24,0,0,0,0,0,1,0,0,7
  ```

  </TabItem>
</Tabs>

